Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002491 [DCSS] Bug Report minor always 2010-09-06 21:32 2013-04-21 23:03
Reporter OG17 View Status public  
Assigned To sgrunt
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0002491: AOE spells don't prompt correctly
Description Cloud spells only prompt when the player directly targets himself. They should instead prompt whenever the player would be engulfed by the cloud (if he's vulnerable to it, of course). It'd also address the will-it-won't-it mystery that comes from using clouds in confined areas without having any indication of just how they'll spread - this "feature" is inconsistent with the rest of the interface.

Storm spells should prompt as well - to avoid leaking information, do it whenever the player's within the radius of the largest possible burst. Easy suicides aren't a balancing aspect.

Fireball, meph, and evaporate aren't problems here, as they already prompt if the player's within the 3x3 area and don't spread if confined.

This is related to 0002487 and 0002490
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0002487resolvedrob rP characters are prompted when targetting themselves with poisonous clouds 
related to 0002490resolvedKate Corpse rot has no prompt 
related to 0000642resolvedKiloByte Spell targeting warnings (also, spelling?) 

-  Notes
(0008044)
OG17 (reporter)
2010-09-06 21:37
edited on: 2010-09-06 21:50

Replace all instances of "player" with "player or allies." Also TSO stuff, etc.

Also evaporation and meph actually are problems, in that they should prompt for engulfing vulnerable allies - they don't currently prompt even for directly targetting them. It might be desirable to keep meph promptless for allies for ease of use, I don't know, but damaging evaporations should be included.

(0008047)
minmay (reporter)
2010-09-06 22:21
edited on: 2010-09-06 22:22

See also https://crawl.develz.org/mantis/view.php?id=0000642. [^]

(never found out how to make proper links here, haha)

(0008049)
OG17 (reporter)
2010-09-06 22:31
edited on: 2010-09-06 22:33

I only found out a couple days ago, it's # followed by 642. 0000642

e: and just to make that entirely redundant:

>Marginally related, I noticed that my cause of death was "bad targetting". In older versions, this was "bad targeting". According to the OED, at least, the new spelling is incorrect ;)

(0021634)
sgrunt (administrator)
2013-03-18 04:00

The cloud-effect spells (Freezing Cloud and Poisonous Cloud) have tracers as of 0.12-a0-2816-g05cedd8, and thus warn the player properly; the other mentioned spells (particularly the storm spells) have had targetters and tracers for a while.
(0022368)
reid (reporter)
2013-04-21 23:03

The cloud tracers don't work properly. Put a monster two squares away in a long hallway and cast a cloud spell behind it such that you won't be in the cloud. The tracer code thinks the cloud "beam" will be blocked by the monster and that the cloud will engulf you.

It's also very annoying that the pcloud tracer warns you about casting pcloud on yourself when you have poison resistance (and are not undead), considering there's no prompt for entering poisonous clouds then.

- Issue History
Date Modified Username Field Change
2010-09-06 21:32 OG17 New Issue
2010-09-06 21:37 OG17 Note Added: 0008044
2010-09-06 21:50 OG17 Note Edited: 0008044
2010-09-06 22:21 minmay Note Added: 0008047
2010-09-06 22:22 minmay Note Edited: 0008047
2010-09-06 22:22 minmay Note Edited: 0008047
2010-09-06 22:31 OG17 Note Added: 0008049
2010-09-06 22:33 OG17 Note Edited: 0008049
2010-09-13 10:34 rob Relationship added related to 0002487
2010-09-13 10:34 rob Relationship added parent of 0002490
2010-09-13 10:34 rob Relationship added related to 0000642
2010-09-13 10:35 rob Relationship replaced related to 0002490
2013-03-18 04:00 sgrunt Note Added: 0021634
2013-03-18 04:00 sgrunt Assigned To => sgrunt
2013-03-18 04:00 sgrunt Status new => resolved
2013-03-18 04:00 sgrunt Resolution open => done
2013-03-18 04:00 sgrunt Fixed in Branch => 0.12 development branch
2013-04-21 23:03 reid Note Added: 0022368


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker